<?php
/**
 * Swingpress Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Swingpress Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function swingpress_pro_custom_colors_css() {
  	$options= swingpress_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	.main-navigation ul ul a:hover,
	.main-navigation ul ul a:focus,
	.main-navigation .search-form .search-submit:hover,
	.main-navigation .search-form .search-submit:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.author-name:after,
	.slick-dots li.slick-active button,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.main-navigation ul ul a:hover, 
	.main-navigation ul ul a:focus,
	.main-navigation .count span,
	ul.tabs li.active:before,
	.wp-travel-search .wp-travel-button button[type="submit"],
	#explore ul.tabs li.active a, 
	#explore ul.tabs li a:hover, 
	#explore ul.tabs li a:focus,
	#gallery .section-header-wrapper .btn:hover, 
	#gallery .section-header-wrapper .btn:focus,
	.dark-version ul.tabs li.active:before,
	.dark-version #magazine-trending-news .slick-arrow,
	.dark-version .pagination .page-numbers.current, 
	.dark-version .pagination .page-numbers:hover, 
	.dark-version .pagination .page-numbers:focus,
	.woocommerce ul.products li.product .onsale, 
	.woocommerce span.onsale,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	#magazine-trending-news .trending-news-title,
	.fourth-design .section-title,
	.menu-toggle:hover, 
	.menu-toggle:focus,
	button.dropdown-toggle  {
	    background-color: ' . esc_attr($color_value) . ';
	}

	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	.reply a,
	.btn {
	    background-image: none;
	    background-color: ' . esc_attr($color_value) . ';
	}

	.reply a:hover,
	.reply a:focus,
	.btn:hover,
	.btn:focus {
	    background-image: none;
	    background-color: #111;
	}

	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation a:hover, 
	.main-navigation a:focus, 
	.main-navigation ul.nav-menu > li > a:hover,
	 .main-navigation ul.nav-menu > li > a:focus
	.post-navigation a, 
	.posts-navigation a,
	.main-navigation ul.nav-menu li.current-menu-item > a,
	.main-navigation a:hover, 
	.main-navigation a:focus, 
	.main-navigation ul.nav-menu > li > a:hover, 
	.main-navigation ul.nav-menu > li > a:focus,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	#secondary .cat-links a,
	#secondary ul li a:hover,
	#secondary ul li a:focus,
	.page-header small,
	.posted-on a:hover,
	.posted-on a:focus,
	#secondary .posted-on a:hover,
	#secondary .posted-on a:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.section-subtitle,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	.featured-content-wrapper span,
	.featured-content-wrapper .entry-title a:hover, 
	.featured-content-wrapper .entry-title a:focus,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a:hover,
	#colophon .site-info a:focus,
	ul.tabs li.active a, 
	ul.tabs li a:hover, 
	ul.tabs li a:focus,
	.counter-value,
	.more-link a:hover, 
	.more-link a:focus,
	#colophon .widget.widget_text .widget-title,
	.dark-version ul.tabs li.active a, 
	.dark-version ul.tabs li a:hover, 
	.dark-version ul.tabs li a:focus,
	.dark-version #colophon .site-info a:hover, 
	.dark-version #colophon .site-info a:focus, 
	.dark-version .post-categories li a:hover, 
	.dark-version .post-categories li a:focus, 
	.dark-version #secondary .cat-links a, 
	.dark-version #secondary ul li a:hover, 
	.dark-version #secondary ul li a:focus, 
	.dark-version .single-wrapper .entry-meta a:hover, 
	.dark-version .single-wrapper .entry-meta entry-meta a:focus, 
	.dark-version .navigation.post-navigation a:hover, 
	.dark-version .navigation.posts-navigation a:hover, 
	.dark-version .navigation.post-navigation a:focus, 
	.dark-version .navigation.posts-navigation a:focus, 
	.dark-version .comment-metadata a:hover, 
	.dark-version .comment-metadata a:focus, 
	.dark-version .comment-meta .url:hover, 
	.dark-version .comment-meta .url:focus,
	.second-design .featured-content-wrapper .entry-title a:hover, 
	.second-design .featured-content-wrapper .entry-title a:focus,
	.woocommerce ul.products li.product .price {
	    color: ' . esc_attr($color_value) . ';
	}

	.loader-container svg,
	.main-navigation ul.nav-menu li:hover > svg,
	.main-navigation ul.nav-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	.more-link svg,
	.dark-version .navigation.post-navigation a:hover svg, 
	.dark-version .navigation.posts-navigation a:hover svg, 
	.dark-version .navigation.post-navigation a:focus svg, 
	.dark-version .navigation.posts-navigation a:focus svg {
	    fill: ' . esc_attr($color_value) . ';
	}

	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.slick-dots li button,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.dark-version .pagination .page-numbers.current, 
	.dark-version .pagination .page-numbers:hover, 
	.dark-version .pagination .page-numbers:focus,
	#gallery .section-header-wrapper .btn:hover, 
	#gallery .section-header-wrapper .btn:focus,
	.fourth-design .section-header {
	    border-color: ' . esc_attr($color_value) . ';
	}


	@media screen and (min-width: 1024px) {
	    .main-navigation ul.nav-menu > li.current-menu-item > a, 
	    .main-navigation ul.nav-menu > li:hover > a, 
	    .main-navigation ul.nav-menu > li:focus > a {
	        color: ' . esc_attr($color_value) . ';
	    }
	}

	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Swingpress Pro custom colors CSS.
	 *
	 * @since Swingpress Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'swingpress_pro_custom_colors_css', $css );
}
