<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Swingpress Pro
* @since Swingpress Pro 1.0.0
*/

//Featured Slider 
if ( ! function_exists( 'swingpress_pro_slider_btn_label_partial' ) ) :
    // slider sub label
    function swingpress_pro_slider_btn_label_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['slider_btn_label'] );
    }
endif;

//service
if ( ! function_exists( 'swingpress_pro_service_title_partial' ) ) :
    // slider sub label
    function swingpress_pro_service_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['service_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_service_sub_title_partial' ) ) :
    // slider sub label
    function swingpress_pro_service_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['service_sub_title'] );
    }
endif;


//featured
if ( ! function_exists( 'swingpress_pro_featured_title_partial' ) ) :
    // featured title
    function swingpress_pro_featured_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['featured_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_featured_sub_title_partial' ) ) :
    // featured title
    function swingpress_pro_featured_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['featured_sub_title'] );
    }
endif;

//package 

if ( ! function_exists( 'swingpress_pro_package_title_partial' ) ) :
    // package title
    function swingpress_pro_package_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['package_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_package_sub_title_partial' ) ) :
    // package sub title
    function swingpress_pro_package_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['package_sub_title'] );
    }
endif;

//about 
if ( ! function_exists( 'swingpress_pro_about_btn_title_partial' ) ) :
    // about btn title
    function swingpress_pro_about_btn_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['about_btn_title'] );
    }
endif;

// popular destination
if ( ! function_exists( 'swingpress_pro_popular_destination_title_partial' ) ) :
    // popular destination title
    function swingpress_pro_popular_destination_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['popular_destination_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_popular_destination_sub_title_partial' ) ) :
    // popular destination sub title
    function swingpress_pro_popular_destination_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['popular_destination_sub_title'] );
    }
endif;

//blog 


if ( ! function_exists( 'swingpress_pro_blog_title_partial' ) ) :
    // blog title
    function swingpress_pro_blog_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_blog_sub_title_partial' ) ) :
    // blog title
    function swingpress_pro_blog_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['blog_sub_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_blog_btn_title_partial' ) ) :
    // blog btn title
    function swingpress_pro_blog_btn_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['blog_btn_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_blog_alt_btn_title_partial' ) ) :
    // blog btn title
    function swingpress_pro_blog_alt_btn_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['blog_alt_btn_title'] );
    }
endif;


// gallery 

if ( ! function_exists( 'swingpress_pro_gallery_title_partial' ) ) :
    function swingpress_pro_gallery_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;


if ( ! function_exists( 'swingpress_pro_gallery_btn_title_partial' ) ) :
    function swingpress_pro_gallery_btn_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['gallery_btn_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_gallery_short_description_partial' ) ) :
    function swingpress_pro_gallery_short_description_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['gallery_short_description'] );
    }
endif;

//inner_wrapper 


if ( ! function_exists( 'swingpress_pro_inner_wrapper_title_partial' ) ) :
    // inner_wrapper title
    function swingpress_pro_inner_wrapper_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['inner_wrapper_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_inner_wrapper_sub_title_partial' ) ) :
    // inner_wrapper title
    function swingpress_pro_inner_wrapper_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['inner_wrapper_sub_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_inner_wrapper_btn_title_partial' ) ) :
    // inner_wrapper btn title
    function swingpress_pro_inner_wrapper_btn_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['inner_wrapper_btn_title'] );
    }
endif;

// recent 

if ( ! function_exists( 'swingpress_pro_recent_title_partial' ) ) :
    function swingpress_pro_recent_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['recent_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_recent_sub_title_partial' ) ) :
    function swingpress_pro_recent_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['recent_sub_title'] );
    }
endif;


if ( ! function_exists( 'swingpress_pro_recent_btn_title_partial' ) ) :
    function swingpress_pro_recent_btn_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['recent_btn_title'] );
    }
endif;


// latest 

if ( ! function_exists( 'swingpress_pro_latest_title_partial' ) ) :
    function swingpress_pro_latest_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['latest_post_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_latest_sub_title_partial' ) ) :
    function swingpress_pro_latest_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['latest_post_sub_title'] );
    }
endif;


if ( ! function_exists( 'swingpress_pro_latest_btn_title_partial' ) ) :
    function swingpress_pro_latest_btn_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['latest_post_btn_title'] );
    }
endif;


if ( ! function_exists( 'swingpress_pro_subscription_sub_title_partial' ) ) :
    // subscription sub title
    function swingpress_pro_subscription_sub_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['subscription_sub_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_subscription_title_partial' ) ) :
    // subscription title
    function swingpress_pro_subscription_title_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['subscription_title'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_copyright_text_partial' ) ) :
    // copyright text
    function swingpress_pro_copyright_text_partial() {
        $options = swingpress_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

if ( ! function_exists( 'swingpress_pro_powered_by_text_partial' ) ) :
    // powered by text
    function swingpress_pro_powered_by_text_partial() {
        $options = swingpress_pro_get_theme_options();
        return swingpress_pro_santize_allow_tag( $options['powered_by_text'] );
    }
endif;
