<?php 

$wp_customize->add_section( 'swingpress_pro_home_layout', array(
	'title'             => esc_html__( 'Home Page Layout','swingpress-pro' ),
	'description'       => esc_html__( 'Home Page Layout option.', 'swingpress-pro' ),
	'panel'             => 'swingpress_pro_front_page_panel',
) );


$wp_customize->add_setting( 'swingpress_pro_theme_options[home_layout]', array(
		'default'           => $options['home_layout'],
		'sanitize_callback' => 'swingpress_pro_sanitize_select',
		'transport'			=> 'refresh'
	) );

$wp_customize->add_control( 'swingpress_pro_theme_options[home_layout]', array(
	'priority'			=> 50,
	'type'				=> 'radio',
	'label'             => esc_html__( 'Select Homepage layout', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_home_layout',
	'choices'				=> array( 
		'default-design'     => esc_html__( 'Default Design', 'swingpress-pro' ),
		'second-design'      => esc_html__( 'Shop Design', 'swingpress-pro' ),
		'third-design'    	 => esc_html__( 'Blog Design', 'swingpress-pro' ),
		'fourth-design'      => esc_html__( 'Magazine Design', 'swingpress-pro' ),
		)
) );

foreach ( array( 'default', 'second', 'third', 'fourth' ) as $list) {
	// Site layout setting and control.
	$wp_customize->add_setting( 'swingpress_pro_theme_options['.$list.'_sortable]', array(
		'default'			  => $options[$list.'_sortable'],
		'sanitize_callback'   => 'swingpress_pro_sanitize_sortable',
	) );

	$wp_customize->add_control( new Swingpress_Pro_Customize_Sortable_Control ( $wp_customize, 'swingpress_pro_theme_options['.$list.'_sortable]', array(
		'label'               => esc_html__( 'Sortable Homepage', 'swingpress-pro' ),
		'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'swingpress-pro' ),
		'section'             => 'swingpress_pro_home_layout',
		'type'                => 'sortable',
		'choices'			  => swingpress_pro_sortable_sections(),
		'active_callback'	  => 'swingpress_pro_is_'.$list.'_layout'

	) ) );
}