<?php
/**
 * Trip Search Section options
 *
 * @package Theme Palace
 * @subpackage Swingpress Pro
 * @since Swingpress Pro 1.0.0
 */

if ( !class_exists( 'WP_Travel' ) ) {
	return;
}

// Add Trip Search section
$wp_customize->add_section( 'swingpress_pro_trip_search_section', array(
	'title'             => esc_html__( 'Trip Search','swingpress-pro' ),
	'panel'             => 'swingpress_pro_front_page_panel',
	'active_callback'   => function( $control ) {
        return (
            swingpress_pro_is_default_layout( $control )
        );
    },
) );

// Trip Search content enable control and setting
$wp_customize->add_setting( 'swingpress_pro_theme_options[trip_search_section_enable]', array(
	'default'			=> 	$options['trip_search_section_enable'],
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[trip_search_section_enable]', array(
	'label'             => esc_html__( 'Trip Search Section Enable', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_trip_search_section',
	'on_off_label' 		=> swingpress_pro_switch_options(),
) ) );

