<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Swingpress Pro
 * @since Swingpress Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'swingpress_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','swingpress-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'swingpress-pro' ),
	'panel'             => 'swingpress_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'swingpress_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'swingpress_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'swingpress-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'swingpress_pro_is_latest_posts'
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'swingpress_pro_theme_options[hide_btn]', array(
	'default'           => $options['hide_btn'],
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[hide_btn]', array(
	'label'             => esc_html__( 'Hide Button', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_archive_section',
	'on_off_label' 		=> swingpress_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'swingpress_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_archive_section',
	'on_off_label' 		=> swingpress_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'swingpress_pro_theme_options[hide_content]', array(
	'default'           => $options['hide_content'],
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[hide_content]', array(
	'label'             => esc_html__( 'Hide Conetnt', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_archive_section',
	'on_off_label' 		=> swingpress_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'swingpress_pro_theme_options[hide_image]', array(
	'default'           => $options['hide_image'],
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[hide_image]', array(
	'label'             => esc_html__( 'Hide Featured Image', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_archive_section',
	'on_off_label' 		=> swingpress_pro_hide_options(),
) ) );
