<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Swingpress Pro
 * @since Swingpress Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'swingpress_pro_menu', array(
	'title'             => esc_html__('Header Menu','swingpress-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'swingpress-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'swingpress_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_menu',
	'on_off_label' 		=> swingpress_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'swingpress_pro_theme_options[social_nav_enable]', array(
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
	'default'           => $options['social_nav_enable'],
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[social_nav_enable]', array(
	'label'             => esc_html__( 'Enable Social Links', 'swingpress-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'swingpress-pro' ), esc_html__( 'Click Here', 'swingpress-pro' ), esc_html__( 'to create menu', 'swingpress-pro' ) ),
	'section'           => 'swingpress_pro_menu',
	'on_off_label' 		=> swingpress_pro_switch_options(),
) ) );


// search enable setting and control.
$wp_customize->add_setting( 'swingpress_pro_theme_options[search_nav_enable]', array(
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
	'default'           => $options['search_nav_enable'],
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[search_nav_enable]', array(
	'label'             => esc_html__( 'Enable Search Icon', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_menu',
	'on_off_label' 		=> swingpress_pro_switch_options(),
) ) );


$wp_customize->add_setting( 'swingpress_pro_theme_options[cart_nav_enable]', array(
	'sanitize_callback' => 'swingpress_pro_sanitize_switch_control',
	'default'           => $options['cart_nav_enable'],
) );

$wp_customize->add_control( new Swingpress_Pro_Switch_Control( $wp_customize, 'swingpress_pro_theme_options[cart_nav_enable]', array(
	'label'             => esc_html__( 'Enable Cart Icon', 'swingpress-pro' ),
	'section'           => 'swingpress_pro_menu',
	'on_off_label' 		=> swingpress_pro_switch_options(),
) ) );


$wp_customize->add_setting( 'swingpress_pro_theme_options[header_advertisement_image]', array(
	'sanitize_callback' => 'swingpress_pro_sanitize_image'
	) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'swingpress_pro_theme_options[header_advertisement_image]',
	array(
		'label'       		=> esc_html__( 'Image', 'swingpress-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'swingpress-pro' ), 512, 520 ),
		'section'     		=> 'swingpress_pro_menu',
		'active_callback'	=> 'swingpress_pro_is_fourth_layout',
		) ) );
// header_advertisement btn link setting and control
$wp_customize->add_setting( 'swingpress_pro_theme_options[header_advertisement_link]', array(
	'sanitize_callback' => 'esc_url_raw',
	) );

$wp_customize->add_control( 'swingpress_pro_theme_options[header_advertisement_link]', array(
	'label'           	=> esc_html__( 'Ads Link', 'swingpress-pro' ),
	'section'        	=> 'swingpress_pro_menu',
	'active_callback' 	=> 'swingpress_pro_is_fourth_layout',
	'type'				=> 'url',
	) );
