<?php 

/**
* Recent section
*
* This is the template for the content of about section
*
* @package Theme Palace
* @subpackage Swingpress Pro
* @since Swingpress Pro 1.0.0
*/

if ( ! function_exists( 'swingpress_pro_add_magazine_wrapper_section' ) ) :
/**
* Add recent section
*
*@since Swingpress Pro 1.0.0
*/
function swingpress_pro_add_magazine_wrapper_section() {
    $options = swingpress_pro_get_theme_options();
?>
<div class="wrapper page-section">
   <?php if ( is_active_sidebar( 'homepage-sidebar' ) ): ?>
        <div id="primary" class="content-area">
    <?php endif ?>   
        <main id="main" class="site-main" role="main">
            <?php  
                // magazine popular post section
                require get_template_directory() . '/inc/sections/magazine-popular-post.php';

                // magazine recent post section
                require get_template_directory() . '/inc/sections/magazine-recent-post.php';
            ?>

            <?php if ( !empty( $options['advertisement_image'] ) ): ?>
                <div id="magazine-advertisement-section" class="relative page-section">
                    <a href="<?php echo esc_url( $options['advertisement_link'] ); ?>"><img src="<?php echo esc_url( $options['advertisement_image'] ); ?>" alt="site-advertisement"></a>
                </div><!-- .magazine-advertisement-section -->
            <?php endif ?>
            

        </main><!-- #main -->
   <?php if ( is_active_sidebar( 'homepage-sidebar' ) ): ?>
        </div><!-- #primary -->
        <aside id="secondary" class="widget-area" role="complementary">
            <?php  dynamic_sidebar( 'homepage-sidebar' ); ?>
        </aside><!-- #secondary -->
    <?php endif ?>
</div><!-- .wrapper -->
<?php }
endif;
 